Autor Tema: Error actualización Kolla versión 4.3.0  (Leído 1257 veces)

0 Usuarios y 1 Visitante están viendo este tema.

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Error actualización Kolla versión 4.3.0
« on: Septiembre 17, 2019, 09:01:47 am »
Buen día estimados...
En la UNPA estamos actualizando una instancia del sistema SIU-Kolla desde la versión 4.1.0 a la versión 4.3.0, siguiendo la guía de actualización a partir de una versión anterior.
Hemos descomprimido el instalador de la V4.3.0 en un directorio diferente al de la instalación anterior (/var/www/unpa/kolla), creamos el directorio /var/www/unpa/kolla430/ y descomprimimos el instalador allí. Luego de esto seguimos los pasos de la guía ingresamos al directorio  /var/www/unpa/kolla430/instalador_kolla_4_3_0/4.3.0/ y ejecutamos "composer install". Nos da el siguiente error:
"  [RuntimeException]                                                           
  /var/www/unpa/kolla430/instalador_kolla_4_3_0/4.3.0/vendor does not exist and could not be created."

Desde ya agradecemos su respuesta!

ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #1 on: Septiembre 17, 2019, 09:10:00 am »
Hola Fernando,

en base a lo que nos describís, deberíamos revisar los permisos de esta carpeta que descomprimiste.
Te pido por favor que nos muestres los permisos de la carpeta /var/www/unpa/kolla430/instalador_kolla_4_3_0/4.3.0/ y los permisos del contenido de la misma.

Esperamos tu respuesta,
gracias!

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #2 on: Septiembre 17, 2019, 09:58:06 am »
Hola Nicolás, efectivamente era un problema con el dueño del directorio que había creado, no coincidía con el usuario que estaba ejecutando el comando "composer install".
Una vez que comenzó a trabajar este comando llego hasta un momento que me dio el siguiente error:
"Generating autoload files
> composer run-script post-install-cmd -d ./vendor/siu-toba/framework/
Deprecation warning: require.siu-toba/Numbers_Words is invalid, it should not contain uppercase characters. Please use siu-toba/numbers_words instead. Make sure you fix this as Composer 2.0 will error.
Deprecation warning: require.guiguiboy/PHP-CLI-Progress-Bar is invalid, it should not contain uppercase characters. Please use guiguiboy/php-cli-progress-bar instead. Make sure you fix this as Composer 2.0 will error.
Deprecation warning: require.siu-toba/Structures_Graph is invalid, it should not contain uppercase characters. Please use siu-toba/structures_graph instead. Make sure you fix this as Composer 2.0 will error.
Deprecation warning: require-dev.greenlion/PHP-SQL-Parser is invalid, it should not contain uppercase characters. Please use greenlion/php-sql-parser instead. Make sure you fix this as Composer 2.0 will error.
> yarn install --non-interactive --modules-folder www/js/packages/
sh: 1: yarn: not found
Script yarn install --non-interactive --modules-folder www/js/packages/ handling the post-install-cmd event returned with error code 127
Script composer run-script post-install-cmd -d ./vendor/siu-toba/framework/ handling the post-install-cmd event returned with error code 127"

Que podrá ser?

ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #3 on: Septiembre 17, 2019, 10:06:03 am »
Fernando,

aparentemente esta intentando utilizar YARN y no está instalado.
Te recomiendo que lo instales y vuelvas a intentar.

Contanos como te fue y si encontras algún otro error.
esperamos tu respuesta,
saludos!

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #4 on: Septiembre 17, 2019, 12:14:49 pm »
Nicolás, intente instalar Yarn siguiendo este link "https://yarnpkg.com/en/docs/install#debian-stable" que lo vi en un respuesta del foro.
al verificar si se instalo el Yarn (yarn --version) me sale el siguiente error:
"Yarn requires Node.js 4.0 or higher to be installed."
Estoy realizando la actulaización en Debian 8, tendrá algo que ver?

ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #5 on: Septiembre 17, 2019, 12:41:29 pm »
Fernando,

efectivamente vas a necesitarlo para usar Yarn.
Te sugiero que lo instales y pruebes nuevamente.

Contanos como te fue.
Saludos

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #6 on: Septiembre 23, 2019, 10:10:20 am »
Buen día.. continuando con la instalación de la versión 4.3.0, lo termine de instalar y cuando ejecuto una operación me da el siguiente error:
"Not Found

The requested URL /kolla/aplicacion.php was not found on this server."

Mirando la url a la que quiere acceder " https://kolla430.unpa.edu.ar/kolla/aplicacion.php?tm=1&tcm=central&ai=kolla||45000007" tiene /kolla/ de mas. Si borro eso me deja acceder bien.
El único lugar donde configure esto es el archivo  instalador.env antes de realizar la actualización.

Desde ya muchas gracias por su respuesta.

ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #7 on: Septiembre 23, 2019, 03:32:23 pm »
Fernando,

que bueno que pudiste concretar la instalación.
Ahora veamos que problema se originó con los enlaces.
Te pido que nos envíes tres cosas:
- contenido del archivo instalador.env utilizado en la instalación.
- contenido del archivo instancia.ini (esta dentro de la carpeta de instalación).
- estructura de la instalación (la ruta completa a la carpeta donde esta alojada la nueva instalación).

Espero tu respuesta,
saludos!

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #8 on: Septiembre 24, 2019, 10:02:51 am »
Buen día Nicolás.. efectivamente tenía problemas con el archivo  instalador.env, en la guía de actualización sale que hay que actualizar lo siguiente:
"TOBA_PROYECTO_DIR="<path a la carpeta en la que está el Kolla nuevo>"
TOBA_INSTALACION_DIR="<path del paso anterior/instalacion>"
TOBA_ALIAS_PROYECTO="<alias de acceso a Kolla>"
TOBA_ALIAS_NUCLEO="<alias para toba>"
TOBA_ALIAS_TOBA_USUARIOS="<alias para toba usuarios, recomendamos <alias_de_kolla>_toba_usuarios""
Y en el archivo antes mencionado TOBA_ALIAS_NUCLEO="<alias para toba>" está comentarizado, por lo que al descomentarizarlo y configurarlo me produjo el error. Hice una nueva instalación dejándolo comentarizado y funciono correctamente.
Ahora bien probando la funcionalidad de la V4.3.0, no me funciona el test al configurar el envío de mails. Esto en la versión 4.1.0 lo corregí actualizando los archivos class.phpmailer.php y class.smtp.php del directorio /directorio_instalacion/kolla/aplicacion/siu_toba/framework/php/3ros/phpmailer/, por los mismos archivos pero de la versión 5.2.27.
Donde se encuentran estos archivos en la nueva versión?

ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #9 on: Septiembre 24, 2019, 10:23:41 am »
Fernando,

que bueno que pudiste solucionar el problema!

Respecto a la configuración de envíos de mails, te pedimos que nos comentes que error estas encontrando.
No es recomendable actualizar la versión de esta manera, reemplazando archivos.

El método recomendado es modificando el archivo composer.json y realizando un update de composer. Sin embargo, lo sugerido es utilizar el composer.lock que distribuimos nosotros, ya que es la configuración con la que hicimos los testeos. Además de esto, otro inconveniente es que esta librería phpmailer se especifica mediante el composer.json de toba, al que tampoco deberíamos modificar ya que se encuentra dentro de la carpeta vendor. Por estas razones, comentanos en detalle que problema estas encontrando así podemos buscar una solución.

Esperamos tu respuesta,
saludos

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #10 on: Septiembre 24, 2019, 10:55:42 am »
Hola Nicolás.. configuro el envío de mails con los que ya tenía en la versión anteriror y cuando ejecuto el test me sale el siguiente error:
"Se han encontrado los siguientes problemas:
 Imposible enviar mail. Mensaje de error: SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting Más info...
Imposible enviar mail. Mensaje de error: SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting"


ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #11 on: Septiembre 24, 2019, 11:51:10 am »
Fernando,

recordaste configurar correctamente el parámetro  SSL o TLS según corresponda?
podrías enviarnos el  log de apache para ver si hay más detalles de este error?

Gracias de antemano,
esperamos tu resp.

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #12 on: Septiembre 24, 2019, 01:15:37 pm »
Nicolás...probé con ambas opciones SSL y TLS pero me sigué saliendo el mismo error.

Te adjunto el log de apache.

ngazcon

  • Visitante
Re:Error actualización Kolla versión 4.3.0
« Respuesta #13 on: Septiembre 24, 2019, 01:31:56 pm »
Gracias Fernando!

Te voy a molestar con un pedido más, el log de Kolla.
Debería estar en la carpeta de instalación, algo similar a esto: <directorio_instalación>/instalacion/i__produccion/p__kolla/logs

Gracias!

Equipo SIU-Kolla
Nicolás

faraya

  • General Guarani
  • *
  • Mensajes: 161
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Error actualización Kolla versión 4.3.0
« Respuesta #14 on: Septiembre 30, 2019, 08:25:25 am »
Buen día Nicolás... disculpa la demora. Te adjunto el log de kolla que me solicitaste.